@font-face {
    font-family: "RumRaisin";
    src: url("./assets/RumRaisin-Regular.ttf");
}

@font-face {
    font-family: "MyriadPro";
    src: url("./assets/MyriadPro-Regular.otf");
}

@font-face {
    font-family: "NoMove";
    src: url("./assets/No-move.ttf");
}

html {
    height: 100%;
}

body {
    margin: 0;
    height: 100%;
}

#game {
    width: 100%;
    height: 100%;
    display: none;
    /* flex */
    overflow: hidden;
}

#starting,
#playing,
#ending,
#resolution {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#playing,
#ending {
    display: none;
}

#starting {
    background-image: url('./assets/background-starting.svg');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    transition: opacity 0.5s ease;
    -webkit-transition-timing-function:
        cubic-bezier(0.639, 0.222, 0.906, 0.7);
    -moz-transition-timing-function:
        cubic-bezier(0.639, 0.222, 0.906, 0.7);
}

#starting .text {
    width: 50%;
    max-width: 690px;
    /*margin-top: 5%;*/
    /*margin-left: 20%;*/
    margin-right: 5%;
}

.title-mobile {
    display: none;
}

h1 {
    font-family: "RumRaisin", sans-serif;
    color: #00892E;
    text-align: center;
    font-size: 3rem;
    line-height: 4rem;
    margin: 0;
    letter-spacing: 2px;
}

h5 {
    display: none;
}

button {
    color: white;
    background-color: #00892E;
    border-radius: 100px;
    padding: 12px 90px 10px 90px;
    font-size: 1.5rem;
    border: 0;
    font-family: "MyriadPro", sans-serif;
    margin: 50px auto 0 auto;
    cursor: pointer;
    transition: 0.1s;
    outline: 0;
    display: block;
}

button:hover,
button:focus {
    background-color: #0ebe49;
}

/*.logo {
    width: 150px;
    position: fixed;
    right: 200px;
    top: 30px;
}*/

.logo {
    width: 150px;
    position: fixed;
    right: 40px;
    top: 30px;
}

.logo2 {
    width: 150px;
    position: fixed;
    right: 30px;
    top: 10px;
}

.title-starting {
    width: 100%;
    margin-bottom: 50px;
}

.person2 {
    width: 20%;
    position: absolute;
    bottom: 0;
    left: 2.5%;
}

.person3 {
    width: 20%;
    position: absolute;
    bottom: 0;
    right: 2.5%;
}
.logo-mobile {
    display: none;
}

#playing {
    background-color: #F8E1B4;
    background-image: url('./assets/background-playing.svg');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    opacity: 0;
    transition: opacity 0.5s ease;
    -webkit-transition-timing-function:
        cubic-bezier(0.639, 0.222, 0.906, 0.7);
    -moz-transition-timing-function:
        cubic-bezier(0.639, 0.222, 0.906, 0.7);
}

.flex {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
}

.center {
    width: 93vh;
    /*height: 100%;*/
    height: 100vh;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    position: relative;
    /*display: grid;*/
}

.center>div {
    width: 64%;
    margin: 0 18%;
    text-align: center;
    /*grid-area: 1/1;
    align-self: center;*/
    z-index: 10;
    border-radius: 1000px;
    background-color: #4C6EB5;
    border: 10px solid #5A9FE6;
    -webkit-box-shadow: 0px 0px 22px -3px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 0px 0px 22px -3px rgba(0, 0, 0, 0.75);
    box-shadow: 0px 0px 22px -3px rgba(0, 0, 0, 0.75);
}

.center .numbers {
    width: 100%;
    /*grid-area: 1/1;
    align-self: center;*/
    position: absolute;
}

.logo-white {
    width: 180px;
    position: fixed;
    left: 60px;
    top: 30px;
}

.logo2-white {
    width: 200px;
    position: fixed;
    left: 50px;
    top: 160px;
}

.logos {
    display: none;
}

.title {
    width: 30%;
    position: fixed;
    right: 50px;
    top: 50px;
}

h2 {
    width: 60%;
    font-family: "MyriadPro", sans-serif;
    color: white;
    text-align: center;
    font-size: 1.9rem;
    margin: 20px auto 20px auto;
    letter-spacing: 2px;
}

h3 {
    width: 80%;
    font-family: "MyriadPro", sans-serif;
    color: white;
    text-align: center;
    font-size: 1.7rem;
    line-height: 2rem;
    margin: 0 auto;
    letter-spacing: 2px;
}

input[type="text"] {
    font-family: "MyriadPro", sans-serif;
    text-align: center;
    padding: 3px 0 0 0;
    width: 60%;
    margin: 20px 20% 0 20%;
    font-size: 1.8rem;
    color: #333;
    outline: 0;
    border: 0;
}

input[type="text"]:hover,
input[type="text"]:focus {
    -webkit-box-shadow: 0px 0px 22px -3px rgb(147, 201, 255);
    -moz-box-shadow: 0px 0px 22px -3px rgb(147, 201, 255);
    box-shadow: 0px 0px 22px -3px rgb(147, 201, 255);
}

#playing button {
    margin: 20px auto 30px auto;
    float: none;
    background-color: #5A9FE6;
}

.points {
    position: fixed;
    bottom: 5%;
    right: 5%;
    width: 13%;
    height: 45%;
}

.points>div {
    width: 100%;
    height: 40%;
    border-radius: 1000px;
    -webkit-box-shadow: 0px 0px 22px -3px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 0px 0px 22px -3px rgba(0, 0, 0, 0.75);
    box-shadow: 0px 0px 22px -3px rgba(0, 0, 0, 0.75);
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.points img {
    width: 80px;
    position: absolute;
    top: -20px;
    left: -10px;
}

.points .correct {
    /*background-color: #3466AC;
    border: 8px solid #50A1D7;*/
    background-color: #51A829;
    border: 8px solid #65ca36;
    color: white;
    margin-bottom: 20%;
}

.points .fails {
    background-color: #E28B12;
    border: 8px solid #EDB522;
    color: white;
}

.points h4 {
    font-size: 8rem;
    font-family: "NoMove", sans-serif;
}

#playing .logo, #playing .logo2 {
    display: none;
}

#ending {
    position: absolute;
    background-color: rgba(0, 0, 0, 0.85);
    flex-flow: row wrap;
    opacity: 0;
    transition: opacity 1s ease;
    -webkit-transition-timing-function:
        cubic-bezier(0.639, 0.222, 0.906, 0.7);
    -moz-transition-timing-function:
        cubic-bezier(0.639, 0.222, 0.906, 0.7);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

#ending.group01 {
    background-image: url('./assets/background-ending-01.svg');
}

#ending.group02 {
    background-image: url('./assets/background-ending-02.svg');
}

#ending.group03 {
    background-image: url('./assets/background-ending-03.svg');
}

#ending>div {
    width: 80%;
    max-width: 600px;
    margin-bottom: 5%;
}

#ending.group01>div {
    margin-right: 15%;
}

#ending.group02>div {
    margin-left: 15%;
}

#ending.group03>div {
    margin-left: 15%;
}

#ending h2 {
    width: 100%;
    margin-bottom: 50px;
    font-family: "RumRaisin", sans-serif;
    font-size: 3rem;
}

#ending h3 {
    width: 100%;
    font-family: "RumRaisin", sans-serif;
    font-size: 2.5rem;
}

#resolution {
    display: none;
    position: absolute;
    /*background-color: rgba(0, 0, 0, 0.95);*/
    background-color: rgba(30, 30, 30, 1);
}

#resolution h1 {
    width: 80%;
    margin: 0 auto;
}

@media (max-width: 1400px) {
    /*#starting {
        background-image: url('./assets/background-starting-tablet.webp');
    }*/

    /*#starting .text {
        margin-top: 15%;
        margin-left: 30%;
    }*/

    h1 {
        font-size: 2rem;
        line-height: 3rem;
    }

    .logo-white {
        width: 130px;
    }

    .logo2-white {
        width: 140px;
        top: 110px;
    }

    h2 {
        font-size: 1.7rem;
    }

    h3 {
        font-size: 1.4rem;
    }

    .title {
        width: 20%;
    }

    .points {
        width: 10%;
        height: 30%;
    }

    .points img {
        width: 50px;
        top: -20px;
        left: -10px;
    }

    .points h4 {
        font-size: 4rem;
        font-family: "NoMove", sans-serif;
    }

    #ending h2 {
        font-size: 2.5rem;
    }
    

    #starting .logo, #starting .logo2 {
        display: none;
    }

    .logo-mobile {
        display: block;
        width: 120px;
        margin: 10px auto 0 auto;
    }
}


@media (max-width: 720px) {
    #game {
        overflow: auto;
        min-height: 100%;
        height: auto;
    }

    #starting,
    #playing,
    #ending,
    #resolution {
        height: auto;
    }

    .logo-mobile {
        margin: -15px auto 0 auto;
    }

    #starting {
        background-image: url('./assets/background-starting-mobile.svg');
    }

    #starting .text {
        margin: 0 !important;
        width: 80%;
        text-align: center;
        z-index: 10;
    }

    .title-starting {
        display: none;
    }
    .title-mobile {
        display: block;
        width: 70%;
        max-width: 500px;
        margin: 0 auto;
    }

    h1 {
        margin-top: 30px;
        margin-bottom: 30px;
        font-size: 1.3rem;
        line-height: 1.5rem;
    }

    button {
        margin: 30px auto 30px auto;
        float: none;
        font-size: 1.2rem;
        padding: 7px 50px 6px 50px;
    }

    .logo {
        width: 100px;
    }

    .logo2 {
        width: 100px;
        left: unset;
        right: 50px;
        bottom: 20px;
    }

    h5 {
        display: block;
        text-align: center;
        font-family: "MyriadPro", sans-serif;
        color: #00892E;
        font-size: 0.95rem;
        margin: 0;
    }

    .title {
        width: 50%;
        top: 10px;
        right: 10px;
        position: unset;
        display: none;
    }

    #playing {
        flex-flow: row wrap;
    }

    #playing .title-mobile {
        width: 50%;
        height: 25.625vw;
        /*height: auto !important;*/
        margin-top: 10px;
    }

    .center {
        /*height: 80%;*/
        width: 90%;
        height: 100vw;
        margin-top: 0px;
        margin-bottom: 10px;
    }

    .center > div {
        background-color: transparent;
        border: 0;
        box-shadow: none !important;
    }

    #letter {
        font-size: 0.9rem;
        line-height: 1rem;
        color: #00892E;
    }

    #question {
        font-size: 0.8rem;
        line-height: 0.9rem;
        color: #00892E;
        width: 100%;
    }

    input[type="text"] {
        font-size: 1rem;
    }

    #playing button {
        font-size: 1rem;
        padding: 6px 30px 4px 30px;
    }

    #playing .logo,
    #playing .logo2 {
        position: unset;
    }

    #playing .logo {
        margin-right: 30px;
    }

    .logos {
        display: block;
        margin-bottom: 10px;
    }

    .logo-white,
    .logo2-white {
        display: none;
    }

    .points {
        width: 70%;
        display: flex;
        justify-content: space-between;
        height: auto;
        right: 15%;
        bottom: 100px;
        position: unset;
        margin-bottom: 10px;
    }

    .points .correct,
    .points .fails {
        display: inline-block;
        width: 30%;
        margin-bottom: 0;
        box-sizing: border-box;
        border-width: 4px;
        height: auto;
    }

    .points img {
        width: 30px;
        top: -10px;
    }

    .points h4 {
        margin: 0 auto;
        font-size: 2rem;
        text-align: center
    }

    #ending {
        height: 100%;
    }

    #ending > div {
        margin: 0;
    }

    #ending #endText {
        font-size: 1.3rem;
    }

    #ending #endTextPoints {
        font-size: 1.2rem;
    }

    #ending>div {
        margin-right: 0 !important;
        margin-left: 0 !important;
    }

}

@media (max-width: 350px) {
    .points {
        bottom: 70px;
    }
}